FROM openjdk:17
ENV TG_TARGET_ID=default
ENV TG_MINE=default
ENV WEATHER_KEY=default
ENV BOT_KEY=default
ENV DATASOURCE_URL=default
ENV MONGODB_HOST=default
ENV MONGODB_NAME=default
ENV MRA_ADMIN=default
ENV MRA_PW=default
ENV RESOURCE_HANDLER=default
ENV RESOURCE_LOCATION=default
ENV IMAGE_UPLOAD_PATH=default
ENV GAPI_KEY=default
WORKDIR /imgUpload
LABEL maintainer="lunaticbum <lunaticbum@gmail.com>"
LABEL version="0.0.7"
LABEL description="Spring Boot Jar Test"

ARG JAR_FILE=build/libs/lun-0.0.7-SNAPSHOT.jar
COPY ${JAR_FILE} app.jar
EXPOSE 443
#EXPOSE 27012
#EXPOSE 3307
#ENTRYPOINT ["java","-jar","app.jar","-Dspring-boot.run.arguments=--telegram.bot.key=${BOT_KEY}, --telegram.my.id=${TG_MINE}, --telegram.target.id=${TG_TARGET_ID}, --weather.api.key=${WEATHER_KEY}"]
ENTRYPOINT ["java","-Dtelegram.bot.key=${BOT_KEY}","-Dtelegram.my.id=${TG_MINE}","-Dtelegram.target.id=${TG_TARGET_ID}","-Dweather.api.key=${WEATHER_KEY}","-Dspring.datasource.url=${DATASOURCE_URL}" ,"-Dspring.data.mongodb.uri=${MONGODB_HOST}","-Dspring.data.mongodb.database=${MONGODB_NAME}","-Dspring.datasource.username=${MRA_ADMIN}","-Dspring.datasource.password=${MRA_PW}","-Dresource.handler=${RESOURCE_HANDLER}","-Dresource.location=${RESOURCE_LOCATION}","-Dimage.upload.path=${IMAGE_UPLOAD_PATH}","-Dapi.gg.place=${GAPI_KEY}","-jar","app.jar"]
#-Dtelegram.bot.key=bot7934509464:AAE_xUbICxMdywLGnxo7BkeIqA1nVza4P9w -Dtelegram.target.id=71476436 -Dtelegram.my.id=71476436 -Dweather.api.key=de574a260b1f474d99955729241909 -Dspring.datasource.url=jdbc:mariadb://mra.sbspace.synology.me -Dspring.data.mongodb.uri=mongodb://lun_admin:VioPup*383@mongo.sbspace.synology.me/?wtimeoutMS=300&connectTimeoutMS=500&socketTimeoutMS=200 -Dspring.data.mongodb.database=lun_db -Dspring.datasource.username=lun_admin -Dspring.datasource.password=VioPup*383 -Dresource.handler=/blog/post/image/** -Dresource.location=file:///imgUpload -Dimage.upload.path=imgUpload
